Subject: [PATCH bpf-next 0/2] add xdp_build_skb_from_frame utility routine

From: Lorenzo Bianconi <[email-masked]>
Date: Wed, 16 Dec 2020 19:38:32 +0100

Introduce __xdp_build_skb_from_frame and xdp_build_skb_from_frame routines to
build the skb from a xdp_frame. Respect to __xdp_build_skb_from_frame,
xdp_build_skb_from_frame will allocate the skb object.
Rely on __xdp_build_skb_from_frame/xdp_build_skb_from_frame in cpumap and veth
code.

Lorenzo Bianconi (2):
  net: xdp: introduce __xdp_build_skb_from_frame utility routine
  net: xdp: introduce xdp_build_skb_from_frame utility routine

 drivers/net/veth.c  | 18 +++-----------
 include/net/xdp.h   |  5 ++++
 kernel/bpf/cpumap.c | 45 +---------------------------------
 net/core/xdp.c      | 59 +++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 68 insertions(+), 59 deletions(-)

-- 
2.29.2